;*******************(C) COPYRIGHT 2019 GRAND-LOTUS***************************
;* Project  Name      : QT8S736 TC1 Demo
;* File Name          : QT8S736_TC1.ASM
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;****************************************************************************
;
;Option:16M/16T,WDT-Enable-288ms,RST-IO,BOR 2.4V
;
;****************************************************************************
		LIST 		P=QT8S736		
INCLUDE	 	QT8S736.INC
;============================RAM=============================================
		udata			H'00'
Flag					res			1
#define 	B_TC1_Flag              Flag,0              ;// bit 0 
;******************************************************************************
;==============================CODE============================================
;******************************************************************************	
		ORG			0000H
		GOTO		MainProgram
		ORG			0008H
		;//GOTO		Interrupt
;******************************************************************************
;===========================中断处理程序=======================================
;====================注:没有使能的中断不要判断中断标志位======================= 
;******************************************************************************					
Interrupt:
		PUSH                              ;//压栈,保存A,STATUS
;//中断处理程序
		JBTS1		INTF0,TC1IF    		  ;//后判断中断标志位
		GOTO		Interrupt_End
		BCLR		INTF0,TC1IF 
		BSET        B_TC1_Flag		      ;//设置定时器标志
Interrupt_END:
		POP                               ;//出栈，恢复A,STATUS
		RETIE
;******************************************************************************
;============================主程序============================================
;******************************************************************************
;//--------------------------程序初始化----------------------------------------	
MainProgram:
		CALL         System_Init           ;//系统初始化
		CALL		 Clr_RAM_00H_7FH       ;//清零RAM
		CALL         TC1_Init		       ;//TC1初始化
;//--------------------------主函数循环----------------------------------------		
MainLoop:
		JBTS1		 B_TC1_Flag
		GOTO		 $-1
		COMR		 IOA,R
		BCLR		 B_TC1_Flag
		CLRWDT                             ;//清除看门狗
		GOTO		 MainLoop
		
		
		
;******************************************************************************
;========================系统初始化============================================
;******************************************************************************
#INCLUDE	System_Init.INC
#INCLUDE	TC1_Init.INC
;******************************************************************************
		END
;*********************************END OF FILE**********************************  
        